<?xml version="1.0" encoding="UTF-8"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>com.cico.nest</groupId>
    <artifactId>nest-lcdp-boot-core</artifactId>
    <version>1.0.0</version>
  </parent>
  <groupId>com.cico.nest</groupId>
  <artifactId>nest-lcdp-boot-core-infra</artifactId>
  <version>1.0.0</version>
  <description>infra 模块，主要提供两块能力：
        1. 我们放基础设施的运维与管理，支撑上层的通用与核心业务。 例如说：定时任务的管理、服务器的信息等等
        2. 研发工具，提升研发效率与质量。 例如说：代码生成器、接口文档等等</description>
  <dependencies>
    <dependency>
      <groupId>com.cico.nest</groupId>
      <artifactId>nest-lcdp-framework-excel-starter</artifactId>
    </dependency>
    <dependency>
      <groupId>com.cico.nest</groupId>
      <artifactId>nest-lcdp-framework-operatelog-starter</artifactId>
    </dependency>
    <dependency>
      <groupId>com.cico.nest</groupId>
      <artifactId>nest-lcdp-framework-websocket-starter</artifactId>
    </dependency>
    <dependency>
      <groupId>org.apache.velocity</groupId>
      <artifactId>velocity-engine-core</artifactId>
    </dependency>
    <dependency>
      <groupId>cn.smallbun.screw</groupId>
      <artifactId>screw-core</artifactId>
    </dependency>
    <dependency>
      <groupId>com.cico.nest</groupId>
      <artifactId>nest-lcdp-framework-monitor-starter</artifactId>
    </dependency>
    <dependency>
      <groupId>de.codecentric</groupId>
      <artifactId>spring-boot-admin-starter-server</artifactId>
    </dependency>
    <dependency>
      <groupId>commons-net</groupId>
      <artifactId>commons-net</artifactId>
    </dependency>
    <dependency>
      <groupId>com.jcraft</groupId>
      <artifactId>jsch</artifactId>
    </dependency>
    <dependency>
      <groupId>io.minio</groupId>
      <artifactId>minio</artifactId>
    </dependency>
    <dependency>
      <groupId>org.apache.tika</groupId>
      <artifactId>tika-core</artifactId>
    </dependency>
  </dependencies>
</project>
